Asset Management Api (6.96.0)

Download OpenAPI specification:

Supports Asset Management API tokens and Spark session auth via Authorization: Bearer spkmd_ (token from /__internal-api/v1/spark-proxy/enrich).

asset

Morph an asset to a different asset type

This operation changes the asset type of the asset. The new asset type must be compatible with the current asset type. For example, a backend user can be morphed to a system user asset type, but not to a file asset.

Authorizations:
Bearer
path Parameters
assetId
required
string
query Parameters
disable-triggers
string
Default: "0"
Enum: "0" "1"

If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal.

Request Body schema: application/json
asset_type_code
required
string

The asset's type code to morph to. The new asset type must be compatible with the current asset type.

use_custom_morphing
boolean
Default: false

If set to true, use the custom morphing defined for the asset type. Applicable to following asset types morphing only:
page_standard -> page_content
page_content -> page_standard
page_content -> page_content (for clean up)

source_page_content_asset_id
integer

Asset ID of the 'page_content' asset to copy components from. Applicable only when when 'use_custom_morphing' is enabled and, source and target asset types are 'page_standard' and 'page_content' respectively.

clean_up
boolean
Default: false

Clean up the lingering dependants resulting from 'page_content' to 'page_content' morphing. Applicable only when when 'use_custom_morphing' is enabled and, source and target asset types are 'page_content' asset types.

Responses

Request samples

Content type
application/json
{
  • "asset_type_code": "string",
  • "use_custom_morphing": false,
  • "source_page_content_asset_id": 0,
  • "clean_up": false
}

Get asset by id

get an asset by id

Authorizations:
Bearer
path Parameters
assetId
required
string
query Parameters
disable-triggers
string
Default: "0"
Enum: "0" "1"

If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal.

Responses

Response samples

Content type
application/json
Example
{
  • "id": "string",
  • "external_id": "string",
  • "status": "archived",
  • "type": "design_area_menu_normal",
  • "version": "string",
  • "created": {
    },
  • "updated": {
    },
  • "status_changed": {
    },
  • "published": {
    },
  • "attributes": {
    },
  • "metadata_schemas": [
    ],
  • "metadata_values": {
    },
  • "paint_layouts": {
    },
  • "web_paths": [
    ],
  • "urls": [
    ]
}

Delete asset by id

Delete an asset by id. You can only delete an asset if it does not orphan any other assets

Authorizations:
Bearer
path Parameters
assetId
required
string
query Parameters
disable-triggers
string
Default: "0"
Enum: "0" "1"

If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal.

Responses

Update an asset

update an asset

Authorizations:
Bearer
path Parameters
assetId
required
string
query Parameters
contextid
integer >= 0

The context id to perform the request in. When updating an asset, the contextualised data for the updated metadata or attributes will be created if needed. Must be an existing context defined in the system.

disable-triggers
string
Default: "0"
Enum: "0" "1"

If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal.

Request Body schema: application/json
Any of
external_id
string
type
string
object
Array of objects or null
object or null
object
web_paths
Array of strings

Responses

Request samples

Content type
application/json
Example
{
  • "external_id": "string",
  • "type": "string",
  • "attributes": {
    },
  • "metadata_schemas": [
    ],
  • "metadata_values": {
    },
  • "paint_layouts": {
    },
  • "web_paths": [
    ]
}

Response samples

Content type
application/json
Example
{
  • "id": "string",
  • "external_id": "string",
  • "status": "archived",
  • "type": "design_area_menu_normal",
  • "version": "string",
  • "created": {
    },
  • "updated": {
    },
  • "status_changed": {
    },
  • "published": {
    },
  • "attributes": {
    },
  • "metadata_schemas": [
    ],
  • "metadata_values": {
    },
  • "paint_layouts": {
    },
  • "web_paths": [
    ],
  • "urls": [
    ]
}

Create Asset

Authorizations:
Bearer
query Parameters
disable-triggers
string
Default: "0"
Enum: "0" "1"

If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal.

Request Body schema: application/json
required
object
required
object (AssetCreateParentLink)

Responses

Request samples

Content type
application/json
{
  • "asset": {
    },
  • "parent": {
    }
}

Response samples

Content type
application/json
Example
{
  • "id": "string",
  • "external_id": "string",
  • "status": "archived",
  • "type": "design_area_menu_normal",
  • "version": "string",
  • "created": {
    },
  • "updated": {
    },
  • "status_changed": {
    },
  • "published": {
    },
  • "attributes": {
    },
  • "metadata_schemas": [
    ],
  • "metadata_values": {
    },
  • "paint_layouts": {
    },
  • "web_paths": [
    ],
  • "urls": [
    ]
}

Set the asset status

This operation changes the asset status

Authorizations:
Bearer
path Parameters
assetId
required
string
query Parameters
disable-triggers
string
Default: "0"
Enum: "0" "1"

If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal.

Request Body schema: application/json
status
required
string
Enum: "archived" "under_construction" "pending_approval" "approved_to_go_live" "live" "up_for_review" "safe_editing" "safe_editing_pending_approval" "safe_edit_approved_to_go_live"
published_date_time_unix
integer

Set the asset published date. Only applicable with 'live' status.

Responses

Request samples

Content type
application/json
{
  • "status": "archived",
  • "published_date_time_unix": 0
}

translation

Get translatable content for a page content asset

Fetches all translatable text content from a DXP page content asset. This proxies to the CMP translation service.

Authorizations:
Bearer
path Parameters
assetId
required
string
query Parameters
disable-triggers
string
Default: "0"
Enum: "0" "1"

If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal.

Responses

Response samples

Content type
application/json
{
  • "assetId": "string",
  • "contentId": "string",
  • "totalCount": 0,
  • "elements": [
    ]
}

Create translated content from a page content asset

Creates a new translated page content asset based on the source asset. Proxies translation rebuild to CMP and creates a new Matrix asset for the translated content.

Authorizations:
Bearer
path Parameters
assetId
required
string
query Parameters
disable-triggers
string
Default: "0"
Enum: "0" "1"

If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal.

Request Body schema: application/json
required
targetLanguage
required
string
required
Array of objects

Responses

Request samples

Content type
application/json
{
  • "targetLanguage": "string",
  • "translations": [
    ]
}

Response samples

Content type
application/json
{
  • "assetId": "string",
  • "success": true,
  • "appliedCount": 0,
  • "failedCount": 0,
  • "failures": [
    ],
  • "dxpPageContent": { }
}

design

Process the Design asset's parse file

Process Design asset's parse file and regenerate the design content file

Authorizations:
Bearer
path Parameters
assetId
required
string
query Parameters
disable-triggers
string
Default: "0"
Enum: "0" "1"

If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal.

Responses